## imview 1.1.9h

=== DESCRIPTION ===
The software project is a GUI-based scientific image analysis 
system. At the simplest level it provides an application which can 
display a large number of image formats, including but not
limited to standards such as TIFF, JPEG, GIF, PNG, BMP, XPM, etc,
and as such can replace or complement usual applications such
as electric eyes (EE) or XV. It is much faster than XV and more
mature than EE. This project has been in development since 1997
and is the result of an estimated 1000h of work.

As with most image display tools these days, contrast, brightness
and gamma controls are provided, as well as most usual niceties
such as image cropping, a powerful zoom, rotations and symmetries,
etc.

For the image analyst (amateur or profesionnal), this software
can display multi-spectral images (satellite data), 3D images
(medical images), almost all types of pixels (not just 8bit data,
but also 1-bit to 64-bit integers and floating point). It supports
a number of scientific formats as well as just raw data (the
user must provide the interpretation via a dialog).

For analysis, pixel based analysis and segmentation tools are
provided (single variable histogram thresholding, multi-variate
histogram segmentation). Point-based information extraction
is provided, as well as image annnotation, profile information,
and more.

This software is designed to integrate nicely into existing image
analysis/image processing packages as an external viewer. Images
can be uploaded into it via files, pipes, TCP sockets or
shared memory. Most of this software capabilities can be controlled
remotely via an interpreter.

This was a closed-source project which has recently been opened
under the GNU licence. Its main author is Hugues Talbot, from
the Australian Commonwealth Scientific and Industrial Research
Organization (CSIRO). The software can be downloaded from
http://www.cmis.csiro.au/Hugues.Talbot/imview/
