=== client/Makefile ===
#
# Simple makefile for demo client code
#

CC=gcc
CFLAGS = -g -DHAVE_POSIX_IPC -DHAVE_SYSV_IPC
LDFLAGS = -ltiff -lm -lrt

SOURCES = democlient.c  imclient.c  liarwrap.c

OBJECTS = ${SOURCES:.c=.o}

TARGET = democlient


ifeq ($(MYZDIR), Solaris)
	CFLAGS += -DPOSIX_IPC_PREFIX='"/"'
	LDFLAGS += -lsocket -lnsl
endif



.c.o:
	${CC} ${CFLAGS} -c $<

${TARGET}: ${OBJECTS}
	${CC} ${CFLAGS} -o $@ ${OBJECTS} ${LDFLAGS}

depend: ${SOURCES}
	${CC} ${CFLAGS} -M $^ > makedepend

clean:
	-rm ${OBJECTS} ${TARGET}

makedepend:
	touch makedepend

include makedepend
