=== obj/NT-msvc++/fluid/Makefile ===
# Generated automatically from Makefile.in by configure.
# -*- Makefile -*-
# Hand-generated makefile for the fluid part of ImView
#
# These C++ files are fluid-generated
#


SHELL = /bin/sh
VPATH = ../../../fluid

prefix          = /home/ee02
exec_prefix     = ${prefix}
subdirs         = @subdirs@
top_srcdir      = ../../..
srcdir          = ../../../fluid
bindir          = $(exec_prefix)/bin
infodir         = $(prefix)/info
libdir          = $(prefix)/lib/gnudl
mandir          = $(prefix)/man/man1

# compilers and flags
CC              = gcc
CXX             = c++
CPPFLAGS        =  -D_REENTRANT -DSolaris  -I.   -I/usr/openwin/include -I/home/ee02/include
CFLAGS          = $(CPPFLAGS) -O2 -Wall   -I/usr/openwin/include 
CXXFLAGS        = $(CPPFLAGS) -O2 -Wall -Wno-return-type 
LDFLAGS         =  -L/home/ee02/lib
LIBS            =  -L/usr/openwin/lib -R/usr/openwin/lib
INSTALL         = /usr/local/gnu/bin/install -c

# program to make the archive:
LIBNAME         = @LIBNAME@
LIBCOMMAND      = ar cr
RANLIB          = ranlib
DSONAME         = @DSONAME@
DSOCOMMAND      = @DSOCOMMAND@

# we are building a library

TOP = ${top_srcdir}

TARGET = imview_ui.a

# so as to include the class declarations and config.h
CXXFLAGS += -I${TOP} -I..

FLUIDFILES = \
	printdlg.fl \
	savedlg.fl \
	imginfodlg.fl \
	transfer.fl \
	spectra.fl \
	savespectdlg.fl \
	prntspectdlg.fl \
	profile.fl \
	userprefdlg.fl \
	tmpmsgdlg.fl \
	bivdlg.fl \
	progress.fl \
	arbitrary.fl \
	HelpDialog.fl \
	annotatedlg.fl \
	toolbardlg.fl \
	transfer2.fl

CPPFILES = $(FLUIDFILES:.fl=.cxx)
OBJECTS = $(CPPFILES:.cxx=.o)

## rules for C and H files to be generated from .fl files

.SUFFIXES : .cxx .o .fl .cc

# DEC Unix has some .cc files to be included. Do not compile them
.cc:
	@echo "Do nothing with $<"	

.cxx.o :
	$(CXX) $(CXXTRA) $(CXXFLAGS) -c $<

.fl.hxx:
	fluid -h .hxx -o .cxx -c $<
.fl.cxx:
	fluid -h .hxx -o .cxx -c $<


$(TARGET) : $(OBJECTS)
	$(LIBCOMMAND) $(TARGET) $(OBJECTS)

all: $(TARGET)

test:
	@echo "TOP:\t\t:" $(TOP)
	@echo "Fluid files:\t" $(FLUIDFILES)
	@echo "CPP files:\t" $(CPPFILES)
	@echo "Object files:\t" $(OBJECTS)
	@echo "Target:  \t" $(TARGET)

clean:
	- @rm *.cxx *.hxx *.o *.a

realclean:
	- @rm *.cxx *.hxx *.o *.a *~ *.da *.bb *.bbg .ix[0-9]* .inslog*

depend: $(CPPFILES) ${CFILES}
	$(CXX) $(CXXTRA) $(CXXFLAGS)  -M $^ > makedepend


makedepend:
	touch makedepend

include makedepend

# dependencies
