## imview 1.1.9c

=== debian/changelog ===
imview (1.1.9c-9ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Don't link fltk libraries statically

 -- Michael Terry <mterry@ubuntu.com>  Fri, 13 Jul 2012 11:25:06 -0400

imview (1.1.9c-9) unstable; urgency=low

  * [2c68893] Fix FTBFS with gcc-4.7. Thanks to Sebastian Ramacher. 
              (Closes: #678675)
  * [e2cc2e0] Add myself to uploaders.
  * [8d1263c] Use Standards-Version: 3.9.3, no changes.

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 26 Jun 2012 21:20:36 +0200

imview (1.1.9c-8ubuntu2) precise; urgency=low

  * No change rebuild for imagemagick4 transition

 -- Michael Terry <mterry@ubuntu.com>  Fri, 18 Nov 2011 11:44:09 -0500

imview (1.1.9c-8ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    + Don't link fltk libraries statically.

 -- Stephan Adig <sh@sourcecode.de>  Mon, 07 Nov 2011 10:18:08 +0000

imview (1.1.9c-8) unstable; urgency=low

  * Fix argument type in nbcopies callbacks (closes: #634418).
  * rules: Add build-arch and build-indep targets.
  * control:
    - Upgrade to standards-version 3.9.2.
    - Require fluid (>= 1.3.0) to build with nbcopies fix.
  * Add debian/source/options with single-debian-patch option.
  * Fix spelling of conjuction => conjunction in manpage.

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 23 Sep 2011 17:22:20 +0200

imview (1.1.9c-7ubuntu1) oneiric; urgency=low

  * Don't link fltk libraries statically.
  * Fix argument type in nbcopies callbacks. Closes: #634418, LP: #831168.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Sep 2011 12:46:05 +0200

imview (1.1.9c-7build1) maverick; urgency=low

  * No changes upload for libmagick2 -> libmagick3 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 21 Jul 2010 21:30:07 +0200

imview (1.1.9c-7) unstable; urgency=low

  * imview.desktop:
    - Remove obsolete Encoding key.
    - Remove obsolete 'Application' category from Categories.
  * imview.1: Add a slash escape to '-' chars in manpage to force a correct
    interpretation as a minus.
  * copyright: Fix file reference to GPL-2
  * Fix various string typos reported by lintian.
  * Remove topgit junk.
  * rules: Remove configure.in dependency from configure.original

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 01 Jun 2010 17:52:08 +0200

imview (1.1.9c-6) unstable; urgency=low

  [ Teemu Ikonen ]
  * Update standards-version to 3.8.4.
  * Add debian/source/format file with contents '1.0'.
  * Rename class 'user' to 'interpreter_user'. Thanks to
    Adam D. Barratt <adam@adam-barratt.org.uk> for the patch
    (closes: #574191).

  [ Andreas Tille ]
  * Source format 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Mon, 31 May 2010 09:29:03 +0200

imview (1.1.9c-5) unstable; urgency=low

  * copyright: Update current upstream source location, fix whitespace
  * watch: Disable (but also update the source pattern, in case upstream
    sources start to appear in sourceforge again) (closes: #549940)
  * control:
    - Update to standards version 3.8.3
    - Update debhelper build-dep to version 7.0.50
    - Add misc:Depends substvar to binary package
  * compat: Upgrade to debhelper level 7
  * Add debhelper file imview.install
  * rules: Simplify using dh

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 09 Oct 2009 18:19:18 +0200

imview (1.1.9c-4) unstable; urgency=low

  * configure.in: set ImageMagick CPPFLAGS with pkg-config (closes: #524591)
  * control: Add alternative ImageMagick build-dep, libmagickcore-dev

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 20 Apr 2009 19:30:43 +0200

imview (1.1.9c-3) unstable; urgency=low

  * Merge patches/limits_h: Include limits.h where it's needed
    (closes: #507172)
  * Merge patches/magickcore: Tweak configure.in to work with imagemagick 
    from experimental

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 29 Nov 2008 21:28:31 +0100

imview (1.1.9c-2) unstable; urgency=low

  * Apply imview_huge_image_v2.patch from Daniel Anderberg
    <daniel.anderberg@fagotten.org> fixing segfaults with large
    images in 64-bit platforms (closes: #493097)
  * control:
    - Change Maintainer to Debian Science Maintainers
      <debian-science-maintainers@lists.alioth.debian.org>
    - Add Teemu Ikonen <tpikonen@gmail.com> to Uploaders
    - Add Vcs-Browser and Vcs-Git fields pointing to git.debian.org
    - Upgrade standards-version to 3.8.0
  * Upgrade compat and debhelper build-dep to 6
  * imview.doc-base: Change doc-base section to Science/Data Analysis, fixes
    lintian warning 'doc-base-unknown-section'. Rewrite abstract 
    (closes: #495385)
  * Refactor changes into individual TopGit branches in the git repo,
    these changes should not be visible in the final source package
  * Fix some of the whitespace issues in patches

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 05 Sep 2008 12:11:35 +0200

imview (1.1.9c-1) unstable; urgency=low

  [ Teemu Ikonen ]
  * New upstream version (closes: #455615)
  * Update standards-version to 3.7.3
  * Change menu section to Applications/Science/Data Analysis
  * Moved homepage in description to a proper dpkg field
  * Remove ${misc:Depends} from Depends in debian/control, due to
    dpkg-gencontrol warning
  * Work around lintian debian-rules-ignores-make-clean-error
  * Save upstream configure file during build to keep the Debian diff sane

  [ Andreas Tille ]
  * debian/control
    - Debhelper (>= 5) 
    - Homepage tag moved to source package
    - Reformatted Build-Depends
  * debian/compat: 4 -> 5
  * Added watch file

 -- Andreas Tille <tille@debian.org>  Wed, 20 Feb 2008 09:07:20 +0100

imview (1.1.8-7) unstable; urgency=low

  * Fix FTBS with GCC 4.3 by adding missing includes (closes: #417232)
  * Fix lintian warnings on badly formatted closes-statements in the 
    Debian changelog
  * Update to standards version 3.7.2
  * Update Debian maintainer email

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 29 May 2007 12:44:14 +0200

imview (1.1.8-6) unstable; urgency=low


