=== debian/control ===
Source: imview
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>, Andreas Tille <tille@debian.org>, 
 Anton Gladky <gladky.anton@gmail.com>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/imview.git
Vcs-Git: http://git.debian.org/git/debian-science/packages/imview.git
Build-Depends: debhelper (>= 7.0.50~), libfltk1.1-dev, fluid (>= 1.3.0),
 libmagickcore-dev | libmagick9-dev, libxpm-dev, libxft-dev, libxinerama-dev,
 autotools-dev, autoconf
Standards-Version: 3.9.3
Homepage: http://www.cmis.csiro.au/Hugues.Talbot/imview/

Package: imview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: imview-doc
Description: Image viewing and analysis application
 Imview is an application which
 .
  * Displays a large number of image formats.
  * Displays 2D or 3D (as slices) images with a very good zoom and pan
    feature.
  * Works with multi-spectral, time series or multi-page documents (e.g.:
    Satellite images, TIFF stacks, animated GIFs and heterogeneous
    multi-component files).
  * Displays all pixel types (1-bit to 64-bit data, integer or floating
    point).
  * Arbitrary 1-D profile of 2-D images (or of 2-D slices of 3-D images) can
    be displayed.
  * Has support for arbitrary colourmaps for all pixel types (i.e.: false
    colour display).
  * Has standard image manipulation facilities (brightness/contrast, gamma,
    zoom, crop, rotation, etc).
  * Can be controlled remotely via sockets and text commands (for easy
    integration into various image analysis systems).
  * Images can be uploaded into Imview via sockets or shared memory.
  * And much more!
