=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

configure.original:
	dh_testdir
	-rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess
	mv configure configure.original
	autoconf

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure.original
	dh build
	touch $@

clean:
	dh clean
	-mv configure.original configure
	-rm -f config.status imview.list imcfg.h null.h stamp-h
	-rm -f Makefile fluid/Makefile io/Makefile server/Makefile
	-rm -f makedepend fluid/makedepend io/makedepend server/makedepend
	-rm -f config.sub config.guess

install: build
	dh install

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installman:
	dh_installman doc/imview.1

binary-indep: build install
	dh binary-indep

binary-arch: build install
	dh binary-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
