## imview 1.1.9h

=== debian/changelog ===
imview (1.1.9h-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:36 +1100

imview (1.1.9h-4build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:55:03 +0000

imview (1.1.9h-4build1) lunar; urgency=medium

  * No-change rebuild against libtiff6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Feb 2023 04:04:26 +0000

imview (1.1.9h-4) unstable; urgency=medium

  * Team Upload.
  * [192f5ba] Add patch to fix gcc-11 FTBFS (Closes: #984059)
  * [53016e0] Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 14 Mar 2022 02:01:04 +0530

imview (1.1.9h-3) unstable; urgency=medium

  * Team upload.
  * debian/rules: DEB_CPPFLAGS_MAINT_APPEND = -DUSE_X11 in anticipation
    of an upstream patch to imDrawPoint.cxx relying on that definition.
  * debian/patches/00_fltk1.3-compat.patch (new): Cherry-pick upstream's
    FLTK 1.3 compatibility fixes (their revision dcc570).
  * debian/patches/10_non-static.patch: Rebase accordingly.
  * debian/control: Build-depend on libfltk1.3-dev, not libfltk1.1-dev.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 07 Feb 2021 18:01:45 -0500

imview (1.1.9h-2) unstable; urgency=medium

  * Use fake watch file
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix override_dh_fixperms
  * Depends: sensible-utils

 -- Andreas Tille <tille@debian.org>  Wed, 18 Nov 2020 15:52:35 +0100

imview (1.1.9h-1) unstable; urgency=medium

  * New upstream version 1.1.9h
  * Switch to 3.0 (quilt) source format, apply git patch branches (p/*)
    to the master branch in git.
  * Remove debian/source/options and add debian/source/local-options
  * New patch things:
    - typofix: Please lintian, fix typos.
    - makefile: Install to correct dirs and do not modify sources, etc.
  * imview.desktop: Add Keywords.
  * changelog: Lintian-inspired whitespace fixes.
  * control: Accept debhelper 11 backport as build-dep, upgrade to
    standards-version 4.1.4.
  * copyright: Fix lintian warnings on license names etc.
  * rules:
    - Remove dh_installman override, manpage installed by make
    - Clean files under extensions/
    - override dh_fixperms, fix modes under usr/share
    - Add hardening build flags
  * Remove README.Debian

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 21 Apr 2018 22:24:02 +0300

imview (1.1.9c-18) unstable; urgency=medium

  * [f572b72] Set compat-level 11
  * [7bee806] Set Standards-Version: 4.1.3
  * [528678e] Move upstream file to upstream/metadata. Minor updates
  * [0a78787] Remove build-dep on autotools-dev
  * [de5d5ce] Remove not used patch
  * [c90ae35] Remove myself from uploaders
  * [1793e5e] Remove menu file
  * [c18dfb5] Update VCS-fields

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Mar 2018 13:00:36 +0100

imview (1.1.9c-17) unstable; urgency=medium

  * [8dd3d46] Fix compilation with gcc-6. (Closes: #831075)
  * [0fb94df] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Tue, 02 Aug 2016 18:22:33 +0200

imview (1.1.9c-16) unstable; urgency=medium

  * [ebd7ed0] Remove __DATE__ from imview.cxx.

 -- Anton Gladky <gladk@debian.org>  Wed, 13 Apr 2016 06:38:19 +0200

imview (1.1.9c-15) unstable; urgency=medium

  * [a20577a] Do not set build time in menu.

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Apr 2016 20:30:28 +0200

imview (1.1.9c-14) unstable; urgency=medium

  * [3f460ad] Use SOURCE_DATE_EPOCH for the build date.

 -- Anton Gladky <gladk@debian.org>  Sun, 10 Apr 2016 14:02:07 +0200

imview (1.1.9c-13) unstable; urgency=medium

  [ Anton Gladky ]
  * [d63a786] Apply cme fix dpkg.
  * [4800c3e] Enable use of buildflags.

  [ Tobias Frost ]
  * [0f258fd] Fix for libpng1.6 (Closes: #820439)

 -- Anton Gladky <gladk@debian.org>  Fri, 08 Apr 2016 22:57:03 +0200

imview (1.1.9c-12) unstable; urgency=low

  [ Sebastian Ramacher ]
  * [d79ec89] Fix stack smashing in ics-reader.

 -- Anton Gladky <gladk@debian.org>  Tue, 07 May 2013 20:59:00 +0200

imview (1.1.9c-12~exp1) experimental; urgency=low

  * [f0c3a16] Fix FTBFS on kFreeBSD.
  * [136138c] Update copyright to DEP-5.
  * [175de99] Replace libmagick9-dev by libmagickwand-dev in BD.

 -- Anton Gladky <gladk@debian.org>  Fri, 08 Feb 2013 20:41:29 +0100

imview (1.1.9c-11) unstable; urgency=low

  * [8106c00] Fix FTBFS on kFreeBSD*.

 -- Anton Gladky <gladk@debian.org>  Thu, 07 Feb 2013 22:06:57 +0100

imview (1.1.9c-11~exp1) experimental; urgency=low

  [ Sebastian Ramacher ]
  * [7119f69] Fix dangerous use of strncpy. (Closes: #699912)

  [ Anton Gladky ]
  * [fcb4e4c] Bump Standards-Version: 3.9.4. No changes.
  * [0027d5d] Fix format not a string issue.
  * [7bd739a] Use dh 9, simplify debian/rules.
  * [550a408] Use DEP-5 for copyright file, not finished.

 -- Anton Gladky <gladk@debian.org>  Wed, 06 Feb 2013 22:54:32 +0100

imview (1.1.9c-10) unstable; urgency=low

  [ Anton Gladky ]
  * [f6c935a] Update homepage. (Closes: #681761)
  * [272f222] Add upstream-files.

  [ Michael Terry ]
  * [98e20d5] Prevent link fltk libraries statically.

  [ Sebastian Ramacher ]
  * [5832a2e] Fix stack smashing in ics-reader. (Closes: #699820)

 -- Anton Gladky <gladk@debian.org>  Wed, 06 Feb 2013 19:46:55 +0100
