=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --without autoreconf

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DUSE_X11
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	dh_testdir
	-rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess
	mv configure configure.original
	autoconf
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	-mv configure.original configure
	-rm -f config.status imview.list imcfg.h null.h stamp-h
	-rm -f Makefile fluid/Makefile io/Makefile server/Makefile
	-rm -f makedepend fluid/makedepend io/makedepend server/makedepend
	-rm -f extensions/Fl_Native_File_Chooser.o extensions/Makefile
	-rm -f extensions/imview_ext.a extensions/makedepend

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.lut" -o -name "*.html" \) -executable -exec chmod -x \{\} \;
